D4Science Infrastructure - Task #4984

Create new VM to host new Resource Registry
Sep 09, 2016 10:57 AM - Luca Frosini

Status: Closed Start date: Sep 09, 2016
Priority: Normal Due date: Sep 13,2016
Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Dev Resource Registry Deployment

Infrastructure: Development

Description

Related issues:
Related to D4Science Infrastructure - Task #3475: Add 2 OrientDB instances Closed Sep 29, 2016

History

#1 - Sep 12, 2016 11:30 AM - Pasquale Pagano

please specify the characteristic of the VM. Thanks.

#2 - Sep 12, 2016 11:34 AM - Luca Frosini

Same resources of the actual IC VM in dev.

#3 - Sep 12, 2016 12:07 PM - Andrea Dell'Amico

Luca Frosini wrote:

Same resources of the actual IC VM in dev.

What's the IC's hostname?

Which software need to be installed? plain tomcat, tomcat + smartgear (need to know VO, scope, whatever), can the new app be deployed by the
provisioning?

#4 - Sep 12, 2016 03:02 PM - Luca Frosini

| need smartgear container and the following service from snapshot

<dependency>
<groupld>org.gcube.information-system</groupId>
<artifactId>resource-registry</artifactId>
<version>LATEST</version>

</dependency>

Actually the latest version is 1.1.0-SNAPSHOT

As hostname, | suggest rr.d.d4science.org or resourceregistry.d.d4science.org.
please provide access to me, @lucio.leli@isti.cnr.it and @roberto.cirillo@isti.cnr.it

#5 - Sep 14, 2016 04:44 PM - Luca Frosini

Resource Registry is a service like smart-executor.

The current service is divided in two services IS-Collector and I1S-Registry respectively available on
http://node20.d.d4science.research-infrastructures.eu:8080/

http://node22.d.d4science.r rch-infrastr r

In the future this service will be deployed in many instances. Each instance will use the same orientdb instance as backend.
Actually, | just need one instance which have to be configured to point to orientdb installation.

The configuration file should be provisioned via ansible.
An example of configuration file is:

HOST=orientdb-host
REMOTE_PROTOCOL= remote:
HTTP_PROTOCOL=http://
HTTP_PORT=:2480
DB=dbname

OrientDB root access. Needed to be able to create new databases

USERNAME-=root
PASSWORD-=root-password-set-on-orientdb

DEFAULT_CREATED_WRITER_USER_PASSWORD=autogenerated-password_1
DEFAULT_CREATED_READER_USER_PASSWORD=autogenerated-password_2

DEFAULT_ADMIN_USERNAME=admin
DEFAULT_ADMIN_PASSWORD=admin
CHANGED_ADMIN_PASSWORD=autogenerated-password_3**

Please note that all autogenerated-password_* must be the same in all resource-registry installation.

This file have to be called config.properties and must be copied at
$CATALINA_HOME/webapps/resource-registry/WEB-INF/classes/config.properties

To test the service locally | use a script like the following to deploy resource-registry on smargears:
cp resource-registry.war $CATALINA_HOME/webapps/

mkdir $SCATALINA_HOME/webapps/resource-registry
unzip SCATALINA_HOME/webapps/resource-registry.war —-d $CATALINA_HOME/webapps/resource-registry

cp config.properties S$SCATALINA_HOME/webapps/resource-registry/WEB-INF/classes/
#6 - Sep 19, 2016 02:54 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'Amico
hostname/IP shall be resourceregistry1-d-d4s.d4science.org 146.48.122.34.

#7 - Sep 19, 2016 05:22 PM - Andrea Dell'Amico
- Related to Task #3475: Add 2 OrientDB instances added

#8 - Sep 19, 2016 05:25 PM - Andrea Dell'Amico
Luca Frosini wrote:

In the future this service will be deployed in many instances. Each instance will use the same orientdb instance as backend.
Actually, | just need one instance which have to be configured to point to orientdb installation.

The configuration file should be provisioned via ansible.
An example of configuration file is:
HOST=orientdb-host

REMOTE_PROTOCOL= remote:
HTTP_PROTOCOL=http://

HTTP_PORT=:2480
DB=dbname

OrientDB root access. Needed to be able to create new databases

USERNAME-=root
PASSWORD-=root-password-set-on-orientdb

About the orientdb instance: when running as a cluster, what's the correct definition of HOST?

#9 - Sep 19, 2016 05:44 PM - Luca Frosini

When an Orient client connect to a server retrieve the list of all node in the cluster. As s you notice if we set just one node in the config file and that
node is down the connection fail.

I'll fix the code to accept multiple hosts on config file. The values have to be separated using ','
Thank you for your question

#10 - Sep 20, 2016 11:14 AM - Andrea Dell'Amico
- % Done changed from 0 to 40

#11 - Sep 20, 2016 12:18 PM - Andrea Dell'Amico
- % Done changed from 40 to 80

The VM is active, smartgears and resource-registry installed. The resource-registry app cannot work yet, we need to configure the orientdb cluster as
in #3475

The URL is https://resourceregistry1-d-d4s.d4science.org/{whn-manager,resource-registry}/gcube/resource/ (all under https).

#12 - Sep 29, 2016 03:43 PM - Andrea Dell'Amico

I'm ready to set the new properties, now that the orientdb cluster is active.

#13 - Oct 26, 2016 11:43 AM - Luca Frosini
- Status changed from In Progress to Closed

- % Done changed from 80 to 100
